using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 平台数据汇总表
    /// </summary>
    [SugarTable("YB_Combined", TableDescription = "平台数据汇总表", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_Combined
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 今日注册用户数
        /// </summary>
        [SugarColumn(ColumnDescription = "今日注册用户数")]
        public System.Int32 TodayRegCnt { get; set; }

        /// <summary>
        /// 累计注册用户数
        /// </summary>
        [SugarColumn(ColumnDescription = "累计注册用户数")]
        public System.Int32 TotalRegCnt { get; set; }

        /// <summary>
        /// 今日称重次数
        /// </summary>
        [SugarColumn(ColumnDescription = "今日称重次数")]
        public System.Int32 TodayResultCnt { get; set; }

        /// <summary>
        /// 累计称重次数
        /// </summary>
        [SugarColumn(ColumnDescription = "累计称重次数")]
        public System.Int32 TotalResultCnt { get; set; }

        /// <summary>
        /// 今日设备活跃数量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日设备活跃数量")]
        public System.Int32 TodayDevCnt { get; set; }

        /// <summary>
        /// 设备总数
        /// </summary>
        [SugarColumn(ColumnDescription = "设备总数")]
        public System.Int32 TotalDevCnt { get; set; }

        /// <summary>
        /// 今日收益,单位为分
        /// </summary>
        [SugarColumn(ColumnDescription = "今日收益,单位为分",ColumnDataType ="decimal(18,2)")]
        public System.Decimal TodayIncome { get; set; }

        /// <summary>
        /// 累计收益
        /// </summary>
        [SugarColumn(ColumnDescription = "累计收益", ColumnDataType = "decimal(18,2)")]
        public System.Decimal TotalIncome { get; set; }

        /// <summary>
        /// 客户数量
        /// </summary>
        [SugarColumn(ColumnDescription = "客户数量")]
        public System.Int32 BusinessCnt { get; set; }
    }
}
